## org.eclipse.datatools.connectivity
Class ProfileRule

    java.lang.Object
      org.eclipse.datatools.connectivity.ProfileRule

All Implemented Interfaces:
  org.eclipse.core.runtime.jobs.ISchedulingRule

    public class ProfileRule

extends java.lang.Object
implements org.eclipse.core.runtime.jobs.ISchedulingRule

Can be used to synchronize a `Job` with other `Job`s affecting a specific profile.

Author:
  rcernich Created on May 24, 2005

Constructor Summary
`ProfileRule(IConnectionProfile profile)`

Method Summary
`boolean` `contains(org.eclipse.core.runtime.jobs.ISchedulingRule rule)`
`boolean` `isConflicting(org.eclipse.core.runtime.jobs.ISchedulingRule rule)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileRule

    public ProfileRule(IConnectionProfile profile)

Parameters:
  `profile` - the profile to synchronize against

Method Detail

### isConflicting

    public boolean isConflicting(org.eclipse.core.runtime.jobs.ISchedulingRule rule)

  Specified by:
    `isConflicting` in interface `org.eclipse.core.runtime.jobs.ISchedulingRule`

### contains

    public boolean contains(org.eclipse.core.runtime.jobs.ISchedulingRule rule)

  Specified by:
    `contains` in interface `org.eclipse.core.runtime.jobs.ISchedulingRule`